<ngx-charts-pie-chart
  [view]="view"
  [scheme]="colorScheme"
  [results]="datas"
  [gradient]="gradient"
  [legend]="showLegend"
  [legendPosition]="legendPosition"
  [labels]="showLabels"
  [doughnut]="isDoughnut"
  (select)="onSelect($event)"
  (activate)="onActivate($event)"
  (deactivate)="onDeactivate($event)"
>
</ngx-charts-pie-chart>
<button (click)="getstats()">get stats</button>
<button (click)="getStatsbyservice()">get stats by service</button>
<button (click)="getStatsbyWebservice()">get stats by web service</button>
